Skip to content
API Reference

Service Accounts

Service Accounts

Create
client.organizations.serviceAccounts.create(stringorganizationID, ServiceAccountCreateParams { name, description, xClientRequestID } params, RequestOptionsoptions?): ServiceAccount { id, created_at, name, 3 more }
POST/organizations/{organization_id}/service-accounts
List
client.organizations.serviceAccounts.list(stringorganizationID, ServiceAccountListParams { after, before, expand, 2 more } params?, RequestOptionsoptions?): ServiceAccountListResponse { items, page_info, permissions }
GET/organizations/{organization_id}/service-accounts
Retrieve
client.organizations.serviceAccounts.retrieve(stringserviceAccountID, ServiceAccountRetrieveParams { organization_id, expand, xClientRequestID } params, RequestOptionsoptions?): ServiceAccount { id, created_at, name, 3 more }
GET/organizations/{organization_id}/service-accounts/{service_account_id}
Update
client.organizations.serviceAccounts.update(stringserviceAccountID, ServiceAccountUpdateParams { organization_id, description, name, xClientRequestID } params, RequestOptionsoptions?): ServiceAccount { id, created_at, name, 3 more }
PATCH/organizations/{organization_id}/service-accounts/{service_account_id}
Delete
client.organizations.serviceAccounts.delete(stringserviceAccountID, ServiceAccountDeleteParams { organization_id, xClientRequestID } params, RequestOptionsoptions?): void
DELETE/organizations/{organization_id}/service-accounts/{service_account_id}
ModelsExpand Collapse
ServiceAccount { id, created_at, name, 3 more }
id: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
created_at: string

The time the entity was created in utc

formatdate-time
name: string

A name for the entity to be displayed in UI

updated_at: string

The time the entity was mostly recently updated in utc

formatdate-time
description?: string

Optional description of the service account

permissions?: Record<string, Record<string, boolean>>

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Service AccountsCredentials

Create
client.organizations.serviceAccounts.credentials.create(stringserviceAccountID, CredentialCreateParams { organization_id, name, description, xClientRequestID } params, RequestOptionsoptions?): CredentialCreateResponse { id, client_id, client_secret, 3 more }
POST/organizations/{organization_id}/service-accounts/{service_account_id}/credentials
List
client.organizations.serviceAccounts.credentials.list(stringserviceAccountID, CredentialListParams { organization_id, after, before, 3 more } params, RequestOptionsoptions?): CredentialListResponse { items, page_info, permissions }
GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials
Retrieve
client.organizations.serviceAccounts.credentials.retrieve(stringcredentialID, CredentialRetrieveParams { organization_id, service_account_id, expand, xClientRequestID } params, RequestOptionsoptions?): ServiceAccountCredential { id, client_id, created_at, 4 more }
GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
Update
client.organizations.serviceAccounts.credentials.update(stringcredentialID, CredentialUpdateParams { organization_id, service_account_id, description, 2 more } params, RequestOptionsoptions?): ServiceAccountCredential { id, client_id, created_at, 4 more }
PATCH/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
Delete
client.organizations.serviceAccounts.credentials.delete(stringcredentialID, CredentialDeleteParams { organization_id, service_account_id, xClientRequestID } params, RequestOptionsoptions?): void
DELETE/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
ModelsExpand Collapse
ServiceAccountCredential { id, client_id, created_at, 4 more }

Service account credential (without secret)

id: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
client_id: string

The client ID for authentication

created_at: string

The time the entity was created in utc

formatdate-time
name: string

A name for the entity to be displayed in UI

description?: string

Optional description of the credential

last_used_at?: string

When the credential was last used

formatdate-time
permissions?: Record<string, Record<string, boolean>>

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.